# UpdateAsset

Update basic ARC10 token information.

**BODY PARAMS**\
`{`

**`owner_address`**` ``string`

**`description`**` ``string`

**`url`**` ``string`

**`new_limit`**` ``int32`

**`new_public_limit`**` ``int32`

**`permission_id`**` ``int32 (Optional)`

**`visible`**` ``boolean (Optional)`

`}`<br>

**Note:**  &#x20;

* **owner address** is the issuers address of the token, default hexString
* **description** is the description of token, default hexString
* **url** is the token's website url, default hexString
* **new\_limit**  each token holder's free bandwidth
* **new\_public\_limit** is the total free bandwidth of the token
* **permission\_id** for multi-signature
* **visible:** whether the address is in base58check format.

**Example:**

curl --request POST\
\--url [**http://172.104.51.182:16667/wallet/updateasset**](http://172.104.51.182:16667/wallet/updateasset) \
\--header 'Accept: application/json'\
\--header 'Content-Type: application/json'\
\--data '{ "owner\_address": "AFzFXoQCgUeoApjejKM9B46NgFGHXvUyKz", "description":"update token", "url":"testupdateasset", "visible":true }

**Input:**&#x20;

{ "owner\_address": "AFzFXoQCgUeoApjejKM9B46NgFGHXvUyKz", "description":"update token", "url":"testupdateasset", "visible":true }

**response:**

`{`&#x20;

`"visible": true, "txID": "26a2599bc08d660dc1a38622b74d4fa132c11f02a5c1791776214b3fd7c0a716", "raw_data": { "contract": [ { "parameter": { "value": { "description": "update token", "owner_address": "AFzFXoQCgUeoApjejKM9B46NgFGHXvUyKz", "url": "testupdateasset" }, "type_url": "type.googleapis.com/protocol.UpdateAssetContract" }, "type": "UpdateAssetContract" } ], "ref_block_bytes": "16bf", "ref_block_hash": "25f6814b2d96895b", "expiration": 1639715274000, "timestamp": 1639715215224 }, "raw_data_hex": "0a0216bf220825f6814b2d96895b4090fa95b5dc2f5a6e080f126a0a30747970652e676f6f676c65617069732e636f6d2f70726f746f636f6c2e5570646174654173736574436f6e747261637412360a15414203485a535a4072c9fbfaaddfe2a010ad0bcdb0120c75706461746520746f6b656e1a0f74657374757064617465617373657470f8ae92b5dc2f"`&#x20;

`}`

\=> Continue call **gettransactionsign** API then call **broadcasttransaction** API

We will the final result: The account created success on WEL network.

{&#x20;

"result": true, "txid": "26a2599bc08d660dc1a38622b74d4fa132c11f02a5c1791776214b3fd7c0a716"&#x20;

}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.aixchain.com/http-api/api-list/arc10-token/updateasset.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
